@use "../../globals.scss";
@use "../../icons.scss";

@mixin header {
  background-color: var(--background-color);
  position: sticky;
  top: 0;
  display: flex;
  border-bottom: 1px solid var(--border-secondary-color);
  & > .cell {
    font-weight: 600;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    padding: 0.15em 0.75em;
    &.sortable{
      @include globals.button-like($amnt: 0.20);
      & > .sortIndicator {
        display: inline-block;
        margin-left: 0.5em;
        width: 1.1em;
      }
      &:not([sort_direction]) > .sortIndicator {
        @include icons.indicator-up-down;
      }
      &[sort_direction=forward] > .sortIndicator {
        @include icons.indicator-down;
      }
      &[sort_direction=reverse] > .sortIndicator {
        @include icons.indicator-up;
      }
    }
  }
}

@mixin body {
  & > .row {
    display: flex;
    & > .cell {
      box-sizing: border-box;
      display: block;
      padding: 0.3em 1em;
    }
    &:not(:first-child) {
      border-top: 1px solid var(--border-secondary-color);
    }
  }
  & > .empty_message {
    font-size: 120%;
    text-align: center;
  }
}
